Bug 563985 - memcached has dependency problems with libevent on rhel 5.5
Summary: memcached has dependency problems with libevent on rhel 5.5
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: memcached
Version: el5
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Paul Lindner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 580248 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-11 16:45 UTC by Michael Barnwell
Modified: 2010-05-30 16:01 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-26 23:25:16 UTC


Attachments (Terms of Use)

Description Michael Barnwell 2010-02-11 16:45:32 UTC
Description of problem:
memcached fails to install because of dependency problems with libevent on the rhel 5.5 test release.

Error: Missing Dependency: libevent-1.1a.so.1()(64bit) is needed by package memcached-1.2.8-1.el5.x86_64 (epel)

Version-Release number of selected component (if applicable):
memcached: 1.2.8-1.el5
libevent: 1.4.13-1 (default version on rhel 5.5)

How reproducible:
Try and install memcached on rhel 5.5

Steps to Reproduce:
1. Grab rhel 5.5 early release
2. Activate epel
3. yum install memcached
  
Actual results:
[michael@monster yum.repos.d]$ sudo yum install memcached
Loaded plugins: rhnplugin, security
rivermusecore-testing                                                                                                                                                                             | 1.1 kB     00:00     
rivermusepro-testing                                                                                                                                                                              | 1.1 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package memcached.x86_64 0:1.2.8-1.el5 set to be updated
--> Processing Dependency: libevent-1.1a.so.1()(64bit) for package: memcached
--> Finished Dependency Resolution
memcached-1.2.8-1.el5.x86_64 from epel has depsolving problems
  --> Missing Dependency: libevent-1.1a.so.1()(64bit) is needed by package memcached-1.2.8-1.el5.x86_64 (epel)
Error: Missing Dependency: libevent-1.1a.so.1()(64bit) is needed by package memcached-1.2.8-1.el5.x86_64 (epel)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.


Expected results:
Memcached to install successfully.

Additional info:
[michael@monster yum.repos.d]$ lsb_release  -a
LSB Version:    :core-3.1-amd64:core-3.1-ia32:core-3.1-noarch:graphics-3.1-amd64:graphics-3.1-ia32:graphics-3.1-noarch
Distributor ID: RedHatEnterpriseServer
Description:    Red Hat Enterprise Linux Server release 5.5 Beta (Tikanga)
Release:        5.5
Codename:       Tikanga
[michael@monster yum.repos.d]$ uname -a
Linux monster 2.6.18-186.el5 #1 SMP Wed Jan 27 18:11:22 EST 2010 x86_64 x86_64 x86_64 GNU/Linux
[michael@monster yum.repos.d]$ sudo yum info memcached libevent
Loaded plugins: rhnplugin, security
Installed Packages
Name       : libevent
Arch       : x86_64
Version    : 1.4.13
Release    : 1
Size       : 221 k
Repo       : installed
Summary    : Abstract asynchronous event notification library
URL        : http://monkey.org/~provos/libevent/
License    : BSD
Description: The libevent API provides a mechanism to execute a callback function
           : when a specific event occurs on a file descriptor or after a timeout
           : has been reached. libevent is meant to replace the asynchronous event
           : loop found in event driven network servers. An application just needs
           : to call event_dispatch() and can then add or remove events dynamically
           : without having to change the event loop.

Available Packages
Name       : libevent
Arch       : i386
Version    : 1.1a
Release    : 3.2.1
Size       : 21 k
Repo       : rhel-x86_64-server-5
Summary    : Abstract asynchronous event notification library
License    : BSD
Description: The libevent API provides a mechanism to execute a callback function
           : when a specific event occurs on a file descriptor or after a timeout
           : has been reached. libevent is meant to replace the asynchronous event
           : loop found in event driven network servers. An application just needs
           : to call event_dispatch() and can then add or remove events dynamically
           : without having to change the event loop.

Name       : memcached
Arch       : x86_64
Version    : 1.2.8
Release    : 1.el5
Size       : 60 k
Repo       : epel
Summary    : High Performance, Distributed Memory Object Cache
URL        : http://www.danga.com/memcached/
License    : BSD
Description: memcached is a high-performance, distributed memory object caching
           : system, generic in nature, but intended for use in speeding up dynamic
           : web applications by alleviating database load.

Comment 1 Paul Lindner 2010-02-17 18:54:40 UTC
hi,

Is EPEL splitting into 5.5 vs 5.x?

Comment 2 Chris Adams 2010-04-05 19:05:00 UTC
Is memcached going to get a rebuild now that RHEL 5.5 has been released?

Comment 3 Paul Lindner 2010-04-06 01:25:46 UTC
I asked my inside source and he says:

> EPEL only provides compatibility to the latest RHEL tree and not the
> older ones. So once we transition EPEL to 5.5 build trees (after
> CentOS-5.5 comes out or a week depending on how long it takes... ) I
> would go and rebuild with a larger builld number. It won't work with
> EL-5.4 unless we come out with a compat library also.

Comment 4 Paul Lindner 2010-04-06 10:24:54 UTC
So this is ugly.

memcache really needs a new libevent to run well.  Over on the memcache mailing list there's talk about bundling libevent directly into the memcached package to avoid old broken libevent libs.

As an alternate is it possible for a new libevent to be included into EPEL that could be used by memcached?

I suppose it would have to be a different package name -- something like libevent14?  Then we'd also have to coordinate the Obsoletes for libevent in EL-6....

Comment 5 Chris Adams 2010-04-06 12:50:37 UTC
RHEL 5.5 has libevent 1.4.13 (that's why the upgrade path is broken with the current memcached from EPEL).

Comment 6 Fedora Update System 2010-04-06 18:38:28 UTC
memcached-1.4.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/memcached-1.4.5-1.el5

Comment 7 Lars Delhage 2010-04-07 20:00:23 UTC
*** Bug 580248 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2010-04-07 22:17:12 UTC
memcached-1.4.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/memcached-1.4.5-1.el5

Comment 9 Kirby Zhou 2010-04-09 16:04:50 UTC
Maybe a update of libevent should be made?
RHEL's ABI stability should be kept.
We need a compat libevent-1.1a.so.1

Comment 10 Paul Lindner 2010-04-09 17:59:55 UTC
Kirby, can you file a bug for libevent compat in Enterprise Linux 5 category?

Comment 11 Fedora Update System 2010-04-19 23:22:35 UTC
memcached-1.4.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/memcached-1.4.5-1.el5

Comment 12 Fedora Update System 2010-04-26 23:25:05 UTC
memcached-1.4.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Kirby Zhou 2010-05-30 16:01:10 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=581101#c1


As a workaround, you can get the compat-libevent-11a package from RPMforge
(http://rpmforge.net).

-Steve


Note You need to log in before you can comment on or make changes to this bug.